<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProductProductsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('product__products', function (Blueprint $table) {
            $table->engine = 'InnoDB';
            $table->increments('id');
            // Your fields
            $table->integer('attrset_id')->index();
            $table->boolean('status');
            $table->boolean('sort_order');
            $table->decimal('price',18,2);
            $table->integer('stock');
            $table->text('swatch_colors');
            $table->timestamps();
        });
        Schema::create('product__products_cats', function (Blueprint $table) {
            $table->engine = 'InnoDB';
            $table->increments('id');
            // Your fields
            $table->integer('product_id')->index();
            $table->integer('category_id')->index();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('product__products');
        Schema::dropIfExists('product__products_cats');
    }
}
